Skip to main content
POST
[Volumes] Resize a storage volume

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

Unique identifier of the storage volume.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
name
string
required

Volume name

Maximum string length: 255
size_gb
integer<int64>
required

Volume size in GB

Required range: 0 <= x <= 4294967295
location_id
string<uuid>
required
write-only
disk_type
enum<string>

Disk type (ssd, nvme)

  • ssd - SSD
  • nvme - NVMe
  • unknown - Unknown
Available options:
ssd,
nvme,
unknown
instance_id
string<uuid> | null
write-only

Response

Volume resize initiated successfully